polybori::groebner::ChainVariableCriterion Class Reference

This class defines ChainVariableCriterion. More...

`#include <ChainVariableCriterion.h>`

## Public Member Functions

| ChainVariableCriterion (const GroebnerStrategy &strat, int i, idx_type v)
bool | operator() (const Exponent &lmExp)

## Public Attributes

const GroebnerStrategy * | strat
| connect via pairs More...
int | i
idx_type | v

## Detailed Description

This class defines ChainVariableCriterion.

## Constructor & Destructor Documentation

polybori::groebner::ChainVariableCriterion::ChainVariableCriterion | ( | const GroebnerStrategy & | strat,
|  | int | i,
|  | idx_type | v
| ) |  |

inline

## Member Function Documentation

bool polybori::groebner::ChainVariableCriterion::operator() | ( | const Exponent & | lmExp) |  |

inline

References polybori::groebner::GroebnerStrategy::generators, and polybori::groebner::PolyEntryVector::index().

## Member Data Documentation

int polybori::groebner::ChainVariableCriterion::i

const GroebnerStrategy* polybori::groebner::ChainVariableCriterion::strat

connect via pairs

idx_type polybori::groebner::ChainVariableCriterion::v

The documentation for this class was generated from the following file:

- ChainVariableCriterion.h